/*
* Mateusz Jurczak
* C++20 Modules
*/

module; // opcjonalne
// poczatek sekcji globalnej modulu

// tutaj znajdowac sie moga tylko dyrektywy preprocesora

// koniec sekcji globalnej modulu
export module B; // deklaracja modulu podstawowego

import <iostream>;
/*
dolaczanie dwoch partycji modulu
partycje reprezentuje wylacznie jeden modul, a modul moze miec wiele partycji
partycje sa widoczne tylko z poziomu modulu podstawowego
*/
export import :partA;
export import :partB;

export void printEntry(Entry entry) {
	std::cout << std::format("{} {}, Age: {}, Sex: {}\n",
		entry.name.first, entry.name.last, entry.age, entry.sex);
}

module :private; // sekcja prywatna
// poczatek sekcji prywatnej modulu

/*
tutaj znajdowac sie moga elementy, ktore nie powinny byc czescia modulu,
ale sa przez niego wykorzystywane (zamiast tworzyc nowy plik zrodlowy .cpp)
*/

// koniec sekcji prywatnej modulu
