/*
* Mateusz Jurczak
* C++20 Modules
*/

/*
to jest definicja dla interfejsu modulu C (nie importujemy ponownie modulu)
podzial wyglada tak samo jak w przypadku plikow naglowkowych i zrodlowych
*/
module C;

import <iostream>;

// w jednostce implementacji definiujemy elementy zadeklarowane w interfejsie
int getRandomDice() {
    std::random_device dev; // dostep do <random> zaimportowanego w interfejsie
    std::mt19937 rng(dev());
    std::uniform_int_distribution<std::mt19937::result_type> dist6(1, 6);
    std::cout << "Generating random dice... ";
    return dist6(rng);
}
